Home

# Class goog.ui.AutoComplete.ArrayMatcher

Basic class for matching words in an array

Instance Method Summary
| `getPrefixMatches(string token, number maxMatches) ⇒ ?Array` Matches the token against the start of words in the row.
| `getSimilarRows(string token, number maxMatches) ⇒ ?Array` Matches the token against similar rows, by calculating "distance" between the terms.
| `requestMatchingRows(string token, number maxMatches, ?Function matchHandler, string= opt_fullString)` Function used to pass matches to the autocomplete
| `setRows(?Array rows)` Replaces the rows that this object searches over.